<?php

/* JS PAGE LOADER
--------------------------------*/

if (!defined('PARENT')) {
  exit;
}

$enabledIDs = [];
if (DRAFT_USER_IDS) {
  $enabledIDs = array_map('trim', explode(',', DRAFT_USER_IDS));
}

if (SAVE_DRAFTS && defined('DRAFT_AREA') && defined('DRAFT_ID') && defined('DRAFT_MSG_TIMEOUT')) {
  if (empty($enabledIDs) || in_array($MSTEAM->id, $enabledIDs)) {
  ?>
  function mswGetDraft(id) {
    jQuery.ajax({
      url      : 'index.php',
      data     : 'ajax=tickdraft-load&id=' + id,
      dataType : 'json',
      headers  : {'csrf' : jQuery('meta[property="x-header-csrf"]').attr('content')},
      cache    : false,
      success  : function (data) {
        if (data['msg'] == 'saved') {
          jQuery('#draft_' + id).html(data['text']);
          setTimeout(function() {
          	jQuery('#draft_' + id).fadeOut(800);
          }, <?php echo DRAFT_MSG_TIMEOUT; ?>);
            <?php
          if ($SETTINGS->editor == 'bb') {
            ?>
            jQuery('<?php echo DRAFT_AREA; ?>').val(data['draft']);
            <?php
          } else {
            ?>
            jQuery('<?php echo DRAFT_AREA; ?>').val(data['draft']);
            jQuery('<?php echo DRAFT_WYSIWYG_AREA; ?>').html(data['draft']);
            <?php
          }
          ?>
        } else {
          jQuery('#draft_' + id).html('');
        }
      }
    });
    return false;
  }
  jQuery(document).ready(function() {
    var timeoutId;
    setInterval(function () {
      if (timeoutId) {
        clearTimeout(timeoutId);
      }
      timeoutId = setTimeout(function() {
        if (jQuery('<?php echo DRAFT_AREA; ?>').val() != jQuery('<?php echo DRAFT_WYSIWYG_AREA; ?>').html()) {
          jQuery.post('index.php?ajax=tickdraft-save', { 
            draft_b : jQuery('<?php echo DRAFT_AREA; ?>').val(),
            draft_w : jQuery('<?php echo DRAFT_WYSIWYG_AREA; ?>').html(),
            cs_rf   : jQuery('meta[property="x-header-csrf"]').attr('content'),
            id      : <?php echo (DRAFT_ID == 'add' ? '\'add\'' : DRAFT_ID); ?>
          }, function(data) {
            if (data['msg'] == 'saved') {
              jQuery('#draft_<?php echo DRAFT_ID; ?>').html(data['text']).show();
              setTimeout(function() {
                jQuery('#draft_<?php echo DRAFT_ID; ?>').fadeOut(800);
              }, <?php echo DRAFT_MSG_TIMEOUT; ?>);
            }
          }, 'json');
        } 
      }, <?php echo DRAFT_TIMEOUT; ?>);
    }, <?php echo DRAFT_INTERVAL; ?>);
    mswGetDraft('<?php echo DRAFT_ID; ?>');
  });
  <?php
  }
}
?>