<?php

/* SOFTWARE LOADER
   DO NOT change this file
----------------------------------*/

header('Expires: Sun, 01 Jan 2014 00:00:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');
header('Content-type: text/html; charset=utf-8');
if (isset($_SERVER['HTTP_USER_AGENT']) && (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false)) {
  header('X-UA-Compatible: IE=edge,chrome=1');
}

// SESSION
$ini_get = ini_get_all();
if (isset($ini_get['session.cookie_httponly'])) {
  ini_set('session.cookie_httponly', 1);
}
session_start();

// PREVENT DATE ERRORS
date_default_timezone_set('UTC');

define('ADMIN_PANEL', 1);
define('PARENT', 1);

// SET PATHS
define('PATH', __dir__ . '/');
define('BASE_PATH', __dir__ . '/../');

// ENABLE DEBUGGER
echo (!function_exists('json_decode') ? die('The JSON functions are not enabled on your server. Enable and restart server. If you are unsure please contact your host.') : '');

include(BASE_PATH . 'control/system/constants.php');
if (version_compare(PHP_VERSION, '8.0.0') >= 0) {
  include(BASE_PATH . 'control/lib/tracy/vendor/tracy/tracy/src/tracy.php');
}
use Tracy\Debugger;
if (version_compare(PHP_VERSION, '8.0.0') >= 0) {
  // For development, report everything and enable tracy bar
  Debugger::$showBar = (defined('DEVELOPMENT_ENV') ? true : false);
  Debugger::$strictMode = (defined('DEVELOPMENT_ENV') ? true : false);
  Debugger::$errorTemplate = BASE_PATH . 'control/system/headers/500-debug.php';
  Debugger::enable(Debugger::DEVELOPMENT, BASE_PATH . 'logs');
}

// INITIALISE..
include(PATH . 'control/system/init.php');
include(PATH . 'control/index-parser.php');

?>