<?php if (!defined('PATH')) { exit; } ?>
<!DOCTYPE html>
<html lang="<?php echo $this->LANG; ?>" dir="<?php echo $this->DIR; ?>">
	<head>
    <meta charset="<?php echo $this->CHARSET; ?>">

    <title>404</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <link href="<?php echo $this->SYS_BASE_HREF; ?>css/bootstrap.css" rel="stylesheet">
    <link href="<?php echo $this->SYS_BASE_HREF; ?>css/theme.css" rel="stylesheet">
    <link href="<?php echo $this->SYS_BASE_HREF; ?>css/font-awesome/font-awesome.css" rel="stylesheet">
    
    <style type="text/css">
      .error_navbar .container {
        font-size:24px;
        font-family: 'Oswald', sans-serif; 
      }
      .error_navbar p {
        padding-top:5px !important;
        padding-bottom:5px !important;
        margin:0
      }
    </style>
    
    <link rel="icon" href="<?php echo $this->SETTINGS->scriptpath; ?>/favicon.ico">

	</head>

	<body>
  
  <div class="navbar push error_navbar">
    <div class="navbar-inner">
      <div class="container">
        <div class="pull-right">
          <i class="fa fa-warning fa-fw"></i> 404
        </div>
        <p><i class="fa fa-life-ring fa-fw"></i> <a href="<?php echo $this->SETTINGS->scriptpath; ?>/"><?php echo $this->SETTINGS->website; ?></a></p>
      </div>
    </div>
  </div>

  <div class="container margin-top-container" id="mscontainer">

    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 margin_top_10">

        <div class="panel panel-default">
          <div class="panel-body">
            <?php echo $this->TXT[1]; ?><br><br>
            <i class="fa fa-reply fa-fw"></i> <a href="<?php echo $this->SETTINGS->scriptpath; ?>/"><?php echo $this->TXT[2]; ?></a>
          </div>
        </div>

      </div>
    </div>

  </div>

  <footer>
    <?php
	  // Please don`t remove the footer unless you have purchased a licence..
    // This software is protected by UK copyright laws.
	  // https://www.maiansupport.com/purchase.html
	  echo tags::filter($this->FOOTER);
	  ?>
  </footer>

  </body>
</html>