<?php if (!defined('PATH')) { exit; } ?>
  <div class="container margin-top-container push" id="mscontainer">

    <div class="row">
      <div class="col-lg-9 col-md-9">
        
        <div class="panel panel-default">
          <div class="panel-body">
            <?php echo $this->TXT[1]; ?>
          </div>
        </div>
        
        <?php
    	  // Show if FAQ is enabled...
    	  if ($this->SETTINGS->kbase == 'yes') {
    	  ?>
        <form method="get" action="<?php echo $this->SETTINGS->scriptpath; ?>/" id="sform">
        <div class="panel panel-default">
          <div class="panel-body" style="padding-bottom:0">
            <div class="form-group">
              <div class="form-group input-group">
                <input type="hidden" name="p" value="faq-search">
                <input type="text" placeholder="<?php echo $this->TXT[7]; ?>" name="q" value="" class="form-control">
                <span class="input-group-addon"><i class="fa fa-search fa-fw cursor_pointer" onclick="mswSearchAction()"></i></span>
              </div>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-lg-12">
            <div class="panel panel-default">
              <div class="panel-heading">
                <i class="fa fa-paperclip fa-fw"></i> <?php echo $this->TXT[4]; ?>
              </div>
              <div class="panel-body faqquestionwrapper">
                <?php
                // FEATURED QUESTIONS
                // html/faq-question-link.htm
                // html/nothing-found.htm
                echo $this->FEATURED;
                ?>
              </div>
            </div>

            <div class="panel panel-default">
              <div class="panel-heading">
                <i class="fa fa-heart-o fa-fw"></i> <?php echo $this->TXT[2]; ?>
              </div>
              <div class="panel-body faqquestionwrapper">
                <?php
                // POPULAR QUESTIONS
                // html/faq-question-link.htm
                // html/nothing-found.htm
                echo $this->POPULAR;
                ?>
              </div>
            </div>

            <div class="panel panel-default">
              <div class="panel-heading">
                <i class="fa fa-calendar fa-fw"></i> <?php echo $this->TXT[3]; ?>
              </div>
              <div class="panel-body faqquestionwrapper">
                <?php
                // LATEST QUESTIONS
                // html/faq-question-link.htm
                // html/nothing-found.htm
                echo $this->LATEST;
                ?>
              </div>
            </div>

          </div>
        </div>
        </form>
        <?php
        }
        ?>
        
      </div>
      <div class="col-lg-3 col-md-3">
        
        <?php

        /* SHOW ACCOUNT MENU HERE TOO IF LOGGED IN
        -------------------------------------------------------*/

        if ($this->LOGGED_IN == 'yes') {
        ?>
        <div class="panel panel-default">
          <div class="panel-heading">
            <i class="fa fa-address-card-o fa-fw"></i> <?php echo $this->PB_LNG[0][0]; ?>
          </div>
          <div class="panel-body menulinkarea">
            <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?p=open"><i class="fa fa-pencil fa-fw"></i> <?php echo $this->PB_TXT_LNG[0]; ?></a></div>
            <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?p=profile"><i class="fa fa-user fa-fw"></i> <?php echo $this->PB_TXT_LNG[3]; ?></a></div>
            <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?p=history"><i class="fa fa-calendar fa-fw"></i> <?php echo $this->PB_TXT_LNG[1]; ?></a></div>
            <?php
            // Is the dispute system enabled?
            if ($this->SETTINGS->disputes == 'yes') {
            ?>
            <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?p=disputes"><i class="fa fa-bullhorn fa-fw"></i> <?php echo $this->PB_TXT_LNG[4]; ?></a></div>
            <?php
            }
            // Can visitor close account?
            if ($this->SETTINGS->visclose == 'yes') {
            ?>
            <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?p=close"><i class="fa fa-times fa-fw"></i> <?php echo $this->PB_TXT_LNG[5]; ?></a></div>
            <?php
            }
            ?>
            <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?lo=1"><i class="fa fa-unlock fa-fw"></i> <?php echo $this->PB_TXT_LNG[2]; ?></a></div>
          </div>
        </div>
        <?php
        }
        
        // Load right panel
        define('RIGHT_PANEL_LOAD', 1);
        include(dirname(__file__) . '/right-panel.php');
        ?>
        
      </div>
    </div>
  </div>
