<?php

/* LANGUAGE FILE
   content/language/readme.md
--------------------------------------*/

$msg_header4 = 'Search Tickets';
$msg_header6 = '{name}';
$msg_header7 = 'New Ticket';
$msg_header8 = 'F.A.Q';

$msg_pkbase7 = 'F.A.Q Categories';

$msg_main17 = 'Before you open a new ticket, check our FAQ to see if your question has already been answered. Thank you.';
$msg_main18 = 'All Frequently Asked Questions';
$msg_main20 = 'Your account access has been disabled.';
$msg_main21 = 'Filter by Category';
$msg_main22 = 'All Categories';

$msg_pkbase19 = '<span class="incat">In Category: {category}</span>';

$msg_tickets = '<b>Total Tickets</b>: {count}';
$msg_tickets2 = '<b>Total Disputes</b>: {count}';

$msg_newticket32 = 'BBCode Text Formatting';
$msg_newticket33 = 'Max';
$msg_newticket34 = 'Allowed File Extensions';
$msg_newticket35 = 'Max Files / Max Size Per File';
$msg_newticket37 = 'Add Box';
$msg_newticket38 = 'Remove Box';
$msg_newticket42 = 'New Ticket Created';
$msg_newticket43 = 'Preview Message';

$msg_showticket27 = 'View All Tickets';
$msg_showticket28 = 'View All Disputes';
$msg_showticket29 = 'Dispute ID';
$msg_showticket30 = '<span class="highlight">{count}</span> User(s) in Dispute';
$msg_showticket32 = 'Viewing Dispute: #{ticket}';
$msg_showticket33 = 'This dispute currently has 0 replies.';

$msg_portal = 'Your Account';
$msg_portal2 = 'Ticket Overview';
$msg_portal6 = 'Open Tickets / Disputes';
$msg_portal17 = 'Search Results';
$msg_portal24 = 'All Disputes';
$msg_portal25 = 'Enter New Email Address';
$msg_portal26 = 'Update Email Address';
$msg_portal27 = '<b>{open}</b> open ticket(s)';
$msg_portal28 = '<b>{dis_open}</b> open dispute(s)';
$msg_portal30 = 'Invalid email address, try again.';
$msg_portal31 = 'Email address must be an alternative address.';
$msg_portal32 = 'Email already exists, please choose another.';
$msg_portal35 = 'View Dispute';
$msg_portal36 = 'My Disputes';
$msg_portal37 = 'View All Tickets';
$msg_portal38 = 'View All Disputes';
$msg_portal39 = 'All';
$msg_portal40 = 'Open Tickets';
$msg_portal41 = 'Open Disputes';
$msg_portal42 = 'Ticket: #{ticketID} - (Started by {name})';
$msg_portal43 = 'Dispute: #{ticketID} - (Started by {name}, {count} user(s) in dispute)';
$msg_portal44 = 'You currently have 0 disputes to display. Previous dispute tickets may have been deleted.';
$msg_portal45 = 'My Disputes';

$msg_adheader25 = 'Logged in User';
$msg_adheader26 = 'Custom Fields';
$msg_adheader27 = 'Version Check';
$msg_adheader28 = 'Open Disputes';
$msg_adheader29 = 'Closed Disputes';
$msg_adheader30 = 'Database Backup';
$msg_adheader31 = 'Helpdesk';

$msg_backup2 = 'MySQL Database Schematic';
$msg_backup3 = 'Name';
$msg_backup4 = 'Rows';
$msg_backup5 = 'Size';
$msg_backup7 = 'Last Updated';
$msg_backup8 = 'Engine';
$msg_backup9 = 'Backup Options';
$msg_backup10 = 'Estimated Backup Size';
$msg_backup11 = 'Download to Hard Drive';
$msg_backup12 = 'Copy as Attachment to Email Address(es)';
$msg_backup13 = 'Compress Backup File';
$msg_backup14 = 'Process Backup';
$msg_backup15 = 'Backup Completed and Email(s) Sent';

$msg_customfields = 'Order';
$msg_customfields2 = 'Add New Field';
$msg_customfields3 = 'Instructions/Text';
$msg_customfields4 = 'Field Type';
$msg_customfields5 = 'Textarea';
$msg_customfields6 = 'Input';
$msg_customfields7 = 'Select';
$msg_customfields8 = 'Checkboxes';
$msg_customfields9 = 'Required Field';
$msg_customfields10 = 'Select/Checkbox Options (One per line)';
$msg_customfields11 = 'Update Field';
$msg_customfields12 = 'New Field Added';
$msg_customfields13 = 'Field Updated';
$msg_customfields14 = 'Selected Field(s) Deleted';
$msg_customfields15 = 'Current Custom Fields';
$msg_customfields16 = 'There are currently 0 custom fields to display';
$msg_customfields17 = 'Field Location';
$msg_customfields18 = 'Display on New Ticket Page';
$msg_customfields19 = 'Display on Ticket Reply Page';
$msg_customfields20 = 'Display on Admin Reply Page';
$msg_customfields21 = 'Update Field Order';
$msg_customfields22 = 'Field Order Updated';
$msg_customfields23 = 'ID';
$msg_customfields24 = 'Admin Reply Visibility';
$msg_customfields27 = 'Enable Field';
$msg_customfields28 = 'Admin Reply Fields Visible to Visitors';
$msg_customfields30 = 'Custom Field Configuration';

$msg_disputes = '<span class="highlight"><b>{count}</b></span> open dispute(s). Click icon to view dispute.';
$msg_disputes2 = '<span class="highlight"><b>{count}</b></span> closed dispute(s). Closed disputes must be re-opened to add new replies.';
$msg_disputes3 = 'Create Dispute';
$msg_disputes4 = 'Create Ticket';
$msg_disputes5 = 'Dispute Users';
$msg_disputes6 = 'Original User Details';
$msg_disputes8 = 'Manage Dispute Users';
$msg_disputes16 = 'There are currently 0 disputes to display.';

$msg_dept15 = 'Display on Open New Ticket Page';
$msg_dept16 = 'Display: Off';
$msg_dept17 = 'Auto Populate Subject (Optional)';
$msg_dept18 = 'Auto Populate Comments (Optional)';
$msg_dept19 = 'Department Name';
$msg_dept20 = 'Update Display Order';
$msg_dept21 = 'Order Display Updated';

$msg_home26 = 'Open (Waiting - Staff Reply)';
$msg_home27 = 'Open (Waiting - Customer Reply)';
$msg_home28 = 'Closed';
$msg_home29 = 'Dispute Overview';
$msg_home30 = 'Ticket Overview';
$msg_home31 = 'Tickets - Waiting - Staff Reply';
$msg_home32 = 'Disputes - Waiting - Staff Reply';
$msg_home33 = 'Today';
$msg_home34 = 'This Week';
$msg_home35 = 'This Month';
$msg_home36 = 'This Year';
$msg_home37 = 'Tickets';
$msg_home38 = 'Disputes';
$msg_home39 = 'Tickets - Waiting - Customer Reply';
$msg_home40 = 'Disputes - Waiting - Customer Reply';
$msg_home41 = 'There are currently 0 tickets to display';
$msg_home42 = 'Quick Links';
$msg_home43 = 'New (Waiting - Staff Reply)';
$msg_home44 = '#{ticket} &#8226; {name} &#8226; {priority} &#8226; {date}';
$msg_home45 = '#{ticket} &#8226; {name} &#8226; {priority} &#8226; {date} &#8226; {count} User(s) in Dispute';

$msg_kbase24 = 'Enable Category';
$msg_kbase25 = '(Disabled)';
$msg_kbase26 = 'Preview Answer';
$msg_kbase27 = 'Reset Voting Counts';
$msg_kbase28 = 'Enable Question';
$msg_kbase29 = 'Disable';
$msg_kbase34 = 'Order Display Updated';

$msg_imap = 'Add Account';
$msg_imap2 = 'Imap Account Configuration';
$msg_imap3 = 'Enable Imap Account';
$msg_imap4 = 'Mailbox Protocol';
$msg_imap6 = 'Imap';
$msg_imap7 = 'Mailbox Host';
$msg_imap8 = 'Mailbox User';
$msg_imap9 = 'Mailbox Password';
$msg_imap10 = 'Mailbox Port';
$msg_imap11 = 'Mailbox Folder Name';
$msg_imap12 = 'Mailbox Flags';
$msg_imap13 = 'Accept Attachments';
$msg_imap14 = 'After Reading, Move Message to';
$msg_imap15 = 'Maximum Messages to Fetch';
$msg_imap16 = 'Enable SSL';
$msg_imap17 = 'Assign to Department';
$msg_imap18 = 'Default Priority';
$msg_imap19 = 'Imap Reply-to Email Address';
$msg_imap20 = 'Current Imap Accounts';
$msg_imap21 = 'There are currently 0 imap accounts to display';
$msg_imap22 = 'Imap Account Added';
$msg_imap23 = 'Imap Account Updated';
$msg_imap24 = 'Selected Imap Account(s) Deleted';
$msg_imap25 = 'Update Account';
$msg_imap26 = 'Please Select..';
$msg_imap28 = 'ID';
$msg_imap29 = 'Check Mail';
$msg_imap31 = 'Show Folders';

$msg_log6 = 'All Admin Users';

$msg_merge3 = 'Select Parent Dispute - Click Icon to Load';
$msg_merge4 = 'Click to Select New Parent Dispute';
$msg_merge5 = 'There are currently no disputes to display.';

$msg_open22 = 'Opened by: <span class="highlight">{name}</span> on <span class="highlight">{date}</span> &#8226; Dept: <span class="highlight">{dept}</span> &#8226; Replies: <span class="highlight">{replies}</span> &#8226; User(s) in Dispute: <span class="highlight">{dispute}</span>';
$msg_open23 = 'Delete';
$msg_open24 = 'View Dispute';
$msg_open25 = 'Selected Dispute(s) Re-Opened';
$msg_open26 = 'Selected Dispute(s) Deleted';
$msg_open27 = 'New - Waiting - Staff Reply';
$msg_open28 = '<span class="highlight">#{ticket}</span> &#8226; Opened: <span class="highlight">{date}</span> &#8226; Priority: <span class="highlight">{priority}</span> &#8226; Dept: <span class="highlight">{dept}</span> &#8226; Replies: <span class="highlight">{replies}</span><span class="floatrightclosed"><span class="highlight">{status}</span></span>';
$msg_open29 = '<span class="highlight">#{ticket}</span> &#8226; Opened: <span class="highlight">{date}</span> &#8226; Priority: <span class="highlight">{priority}</span> &#8226; Dept: <span class="highlight">{dept}</span> &#8226; Replies: <span class="highlight">{replies}</span> &#8226; User(s) in Dispute: <span class="highlight">{dispute}</span><span class="floatrightclosed"><span class="highlight">{status}</span></span>';
$msg_open30 = 'Open - Waiting - Staff Reply';

$msg_response16 = 'Selected Responses Enabled';
$msg_response17 = 'Selected Responses Disabled';

$msg_search11 = 'Ticket Type';
$msg_search12 = 'Standard Ticket';
$msg_search13 = 'Dispute';

$msg_settings58 = 'Enable BB Code';
$msg_settings59 = 'API Key';
$msg_settings60 = 'Public Key';
$msg_settings61 = 'Private Key';
$msg_settings63 = 'Create Keys';
$msg_settings64 = 'Javascript Calendar Start Day';
$msg_settings65 = 'Sunday';
$msg_settings66 = 'Monday';
$msg_settings67 = 'For Standard Tickets Disable if Visitor is Logged In';
$msg_settings68 = 'Questions Per Page';
$msg_settings69 = 'Javascript Calendar Date Format';

$msg_systemportal19 = 'Enable/Disable Login Access';
$msg_systemportal20 = 'Block';
$msg_systemportal21 = 'Enter Email Address';
$msg_systemportal22 = 'Account Disabled';
$msg_systemportal23 = 'Re-Enable';
$msg_systemportal24 = 'Account Enabled';
$msg_systemportal25 = 'There are no accounts currently disabled';

$msg_tools11 = 'This page is not available, due to your delete privileges being switched off.';

$msg_user12 = 'Login Password';
$msg_user45 = 'Display Signature in Emails';
$msg_user51 = 'Cancel';
$msg_user54 = 'Has Ticket Notepad Access';
$msg_user56 = 'All Departments';
$msg_user57 = 'All Pages';
$msg_user58 = 'Dispute';
$msg_user59 = 'View Dispute';
$msg_user60 = 'All Responses';
$msg_user61 = 'Tickets Only';
$msg_user62 = 'Disputes Only';
$msg_user63 = 'Between';
$msg_user64 = 'Has Delete Privileges';
$msg_user65 = 'Ticket \'From\' Name';
$msg_user66 = 'Ticket \'From\' Email Address';

$msg_viewticket51 = 'Describe this Change for Other Users';
$msg_viewticket54 = 'Notepad';
$msg_viewticket55 = 'Preview Message';
$msg_viewticket56 = 'BB Code';
$msg_viewticket57 = 'There are no standard responses to display.';
$msg_viewticket58 = 'Add User to Dispute';
$msg_viewticket59 = 'Name';
$msg_viewticket60 = 'Email Address';
$msg_viewticket62 = 'Update Selected Users';
$msg_viewticket65 = 'Update Dispute Users';
$msg_viewticket66 = 'No users have been added to this dispute. Use the add tab to add user.';
$msg_viewticket67 = 'Add Users to Dispute';
$msg_viewticket68 = '{count} User(s) Added to Dispute';
$msg_viewticket71 = 'All';
$msg_viewticket72 = 'View Notes';
$msg_viewticket73 = 'This ticket currently has no notes.';
$msg_viewticket74 = 'Viewing Notes for Ticket #{ticket}';
$msg_viewticket75 = 'Add Reply';
$msg_viewticket76 = 'Your post privileges have currently been turned off by admin, please try again later';
$msg_viewticket77 = 'Update Notes';
$msg_viewticket78 = 'Attach File(s):';
$msg_viewticket79 = 'Template Language';
$msg_viewticket80 = 'Viewing Dispute: #{ticket}';
$msg_viewticket81 = 'Dispute: <b>#{ticket}</b>';
$msg_viewticket82 = 'This dispute currently has no notes.';
$msg_viewticket83 = 'Viewing Notes for Dispute #{ticket}';
$msg_viewticket85 = 'Edit Dispute Ticket #{ticket}';
$msg_viewticket86 = 'Dispute Ticket Updated';
$msg_viewticket87 = 'Edit Dispute Ticket Reply: #{ticket}';
$msg_viewticket88 = 'Update Dispute Ticket';
$msg_viewticket89 = 'Update Dispute Ticket Reply';
$msg_viewticket90 = 'Ticket Reply Added &amp; Merged with Ticket #{ticket}';

$msg_bbcode = 'BB Code Formatting';
$msg_bbcode3 = 'Bold Text';
$msg_bbcode4 = 'Underlined Text';
$msg_bbcode5 = 'Italic Text';
$msg_bbcode6 = 'Strike-Through Text';
$msg_bbcode7 = 'Deleted Text';
$msg_bbcode8 = 'Inserted Text';
$msg_bbcode9 = 'Emphasised Text';
$msg_bbcode10 = 'Red Text';
$msg_bbcode11 = 'Blue Text';
$msg_bbcode12 = 'Heading 1 Text';
$msg_bbcode13 = 'Heading 2 Text';
$msg_bbcode14 = 'Heading 3 Text';
$msg_bbcode15 = 'Heading 4 Text';
$msg_bbcode16 = 'Text Formatting';
$msg_bbcode17 = 'Hyperlinks and Images';
$msg_bbcode18 = 'Lists';
$msg_bbcode19 = 'Nesting Tags';
$msg_bbcode20 = 'Bullet List Item';
$msg_bbcode21 = 'Numbered List Item';
$msg_bbcode22 = 'Alpha List Item';
$msg_bbcode23 = 'Bold, Underlined Text';
$msg_bbcode24 = 'Bold, Underlined Blue Text';
$msg_bbcode25 = 'Return to Payment Method';
$msg_bbcode26 = 'Click to Email Me';
$msg_bbcode28 = 'New tab/window';

$msg_edigest = 'N/A';
$msg_edigest2 = 'N/A';
$msg_edigest4 = 'Email Digest Completed - Started: {started}, Finished: {finished}';
$msg_edigest5 = 'Started By: {name}' . mswNL() . 'Last Reply: {updated}';
$msg_edigest6 = 'Started By: {name}' . mswNL() . '{count} User(s) in Dispute' . mswNL() . 'Last Reply: {updated}';

/*------------------------------------------------------------------------------------------------------
JAVASCRIPT CALENDAR LOCALE
Javascript arrays. Square brackets are important, DO NOT remove these.
--------------------------------------------------------------------------------------------------------*/


$msg_cal = '["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"]';
$msg_cal2 = '["Su","Mo","Tu","We","Th","Fr","Sa"]';
$msg_cal3 = 'false'; // Should calendar display right to left (RTL)?

// General.

$msg_script23 = 'Close &amp; Refresh';
$msg_script24 = 'Preview not available.';
$msg_script25 = 'Software Locked';
$msg_script26 = 'Previous';
$msg_script27 = 'Next';
$msg_script28 = [
  'Mon',
  'Tue',
  'Wed',
  'Thu',
  'Fri',
  'Sat',
  'Sun'
];
$msg_script29 = [
  'Sun',
  'Mon',
  'Tue',
  'Wed',
  'Thu',
  'Fri',
  'Sat'
];
$msg_script30 = 'Unassigned';
$msg_script32 = 'Backup Completed';
$msg_script33 = 'helpdesk-backup'; // Backup file prefix.
$msg_script34 = 'To add your own footer code, click &quot;Settings &amp; Tools > Other Options > Edit Footers&quot;';
$msg_script35 = 'To add your own footer code, click &quot;Settings &amp; Tools > Other Options > Edit Footers&quot;';
$msg_script36 = 'Close Window';
$msg_script37 = 'Sent via API. Waiting for login.';
$msg_script38 = 'Close';
$msg_script39 = 'Preview Message';

?>