<?php

/* CLASS FILE
----------------------------------*/

class htmlHeaders {

  public static function err403($admin = false, $text = '') {
    global $msg_charset, $html_lang, $lang_dir, $msg_home11, $msg_script52, $msg_script34, $msg_script53, $msg_script3, $msg_script54, $SETTINGS;
    $msg_charset = ($msg_charset ? $msg_charset : 'utf-8');
    $html_dir    = ($lang_dir ? $lang_dir : 'ltr');
    $html_lang   = ($html_lang ? $html_lang : 'en');
    header('HTTP/1.0 403 Forbidden');
    header('Content-type: text/html; charset=' . $msg_charset);
    if ($admin) {
      $f = array(
        '{charset}',
        '{lang}',
        '{dir}',
        '{back}',
        '{error}',
        '{oops}'
      );
      $r = array(
        $msg_charset,
        $html_lang,
        $lang_dir,
        $msg_script53,
        ($text ? $text : $msg_home11),
        $msg_script52
      );
      echo (file_exists(PATH . 'content/system/headers/403.php') ? str_replace($f, $r, mswTmp(PATH . 'content/system/headers/403.php')) : '403: Forbidden');
    } else {
      if (!class_exists('Savant3')) {
        include(PATH . 'control/lib/Savant3.php');
      }
      $footer = $msg_script3 . ': <a href="https://www.' . SCRIPT_URL . '" onclick="window.open(this);return false" title="' . SCRIPT_NAME . '">' . SCRIPT_NAME . '</a><br>';
      $footer .= '<a href="https://www.maianmedia.com" title="Maian Media" onclick="window.open(this);return false">&copy; 2005 - ' . date('Y') . ' Maian Media</a>';

      // Commercial version..
      if (LICENCE_VER == 'unlocked') {
        $footer = tags::filter($SETTINGS->publicFooter);
        if ($footer == '') {
          $footer = $msg_script34;
        }
      }

      $tpl = new Savant3();
      $tpl->assign('FOOTER', $footer);
      $tpl->assign('LANG', $html_lang);
      $tpl->assign('DIR', $html_dir);
      $tpl->assign('CHARSET', $msg_charset);
      $tpl->assign('SETTINGS', $SETTINGS);
      $tpl->assign('TXT', array(
        $msg_script52,
        $msg_home11,
        $msg_script54
      ));

      // Global vars..
      include(PATH . 'control/lib/global.php');

      $tpl->display('content/' . (defined(MS_TEMPLATE_SET) ? MS_TEMPLATE_SET : '_default_set') . '/headers/403.tpl.php');
    }
    exit;
  }

  public static function err404($admin = false, $text = '') {
    global $msg_charset, $html_lang, $lang_dir, $msg_script6, $msg_script34, $msg_script52, $msg_script3, $msg_script54, $SETTINGS;
    $msg_charset = ($msg_charset ? $msg_charset : 'utf-8');
    $html_dir    = ($lang_dir ? $lang_dir : 'ltr');
    $html_lang   = ($html_lang ? $html_lang : 'en');
    header('HTTP/1.0 404 Not Found');
    header('Content-type: text/html; charset=' . $msg_charset);
    if ($admin) {
      $f = array(
        '{charset}',
        '{lang}',
        '{dir}',
        '{back}',
        '{error}',
        '{oops}'
      );
      $r = array(
        $msg_charset,
        $html_lang,
        $lang_dir,
        $msg_script54,
        ($text ? $text : $msg_script6),
        $msg_script52
      );
      echo (file_exists(PATH . 'content/system/headers/404.php') ? str_replace($f, $r, mswTmp(PATH . 'content/system/headers/404.php')) : '404: Page Not Found');
    } else {
      if (!class_exists('Savant3')) {
        include(PATH . 'control/lib/Savant3.php');
      }
      $footer = $msg_script3 . ': <a href="https://www.' . SCRIPT_URL . '" onclick="window.open(this);return false" title="' . SCRIPT_NAME . '">' . SCRIPT_NAME . '</a><br>';
      $footer .= '<a href="https://www.maianmedia.com" title="Maian Media" onclick="window.open(this);return false">&copy; 2005 - ' . date('Y') . ' Maian Media</a>';

      // Commercial version..
      if (LICENCE_VER == 'unlocked') {
        $footer = tags::filter($SETTINGS->publicFooter);
        if ($footer == '') {
          $footer = $msg_script34;
        }
      }

      $tpl = new Savant3();
      $tpl->assign('FOOTER', $footer);
      $tpl->assign('LANG', $html_lang);
      $tpl->assign('DIR', $html_dir);
      $tpl->assign('CHARSET', $msg_charset);
      $tpl->assign('SETTINGS', $SETTINGS);
      $tpl->assign('TXT', array(
        $msg_script52,
        $msg_script6,
        $msg_script54
      ));

      // Global vars..
      include(PATH . 'control/lib/global.php');

      $tpl->display('content/' . (defined(MS_TEMPLATE_SET) ? MS_TEMPLATE_SET : '_default_set') . '/headers/404.tpl.php');
    }
    exit;
  }

}

?>