<?php

/* SECURE TOKENS
------------------------------------*/

if (!defined('PARENT')) {
  echo '403';
  exit;
}

/* SECURITY TOKEN VAR
---------------------------------------*/

if (isset($SSN) && method_exists($SSN, 'active')) {

  if ($SSN->active('csrf_token') == 'no') {
    $SSN->set(array('csrf_token' => $SSN->token()));
  }

  define('CSRF_POST_VAL', (
    isset($_POST['cs_rf']) && $SSN->active('csrf_token') == 'yes' &&
    $_POST['cs_rf'] == $SSN->get('csrf_token')
    ? 'yes' : (isset($_SERVER['HTTP_CSRF']) && $SSN->active('csrf_token') == 'yes' && 
    $_SERVER['HTTP_CSRF'] == $SSN->get('csrf_token') ? 'yes' : 'no')
  ));

  define('CSRF_GET_VAL', (isset($_GET['cs_rf']) && $SSN->active('csrf_token') == 'yes' &&
    $_GET['cs_rf'] == $SSN->get('csrf_token')
    ? 'yes' : (isset($_SERVER['HTTP_CSRF']) && $SSN->active('csrf_token') == 'yes' && 
    $_SERVER['HTTP_CSRF'] == $SSN->get('csrf_token') ? 'yes' : 'no')
  ));

} else {
  
  define('CSRF_POST_VAL', 'void');
  define('CSRF_GET_VAL', 'void');

}

?>