create table `{prefix}settings` (
  `id` tinyint(1) not null auto_increment,
  `website` varchar(150) not null default '',
  `email` varchar(250) not null default '',
  `replyto` varchar(250) not null default '',
  `scriptpath` varchar(250) not null default '',
  `attachpath` varchar(250) not null default '',
  `attachhref` varchar(250) not null default '',
  `attachpathfaq` varchar(250) not null default '',
  `attachhreffaq` varchar(250) not null default '',
  `bfolder` varchar(250) NOT NULL DEFAULT '',
  `language` varchar(250) not null default 'english',
  `langSets` mediumtext default null,
  `dateformat` varchar(20) not null default 'D j M Y, G:ia',
  `timeformat` varchar(15) not null default 'H:iA',
  `timezone` varchar(50) not null default 'Europe/London',
  `weekStart` enum('mon','sun') not null default 'sun',
  `jsDateFormat` varchar(15) not null default 'DD/MM/YYYY',
  `kbase` enum('yes','no') not null default 'yes',
  `enableVotes` enum('yes','no') not null default 'yes',
  `multiplevotes` enum('yes','no') not null default 'no',
  `popquestions` int(5) not null default '0',
  `quePerPage` int(3) not null default '10',
  `cookiedays` int(5) not null default '0',
  `renamefaq` enum('yes','no') not null default 'no',
  `attachment` enum('yes','no') not null default 'no',
  `rename` enum('yes','no') not null default 'no',
  `attachboxes` int(3) not null default '2',
  `filetypes` mediumtext default null,
  `maxsize` int(15) not null default '200',
  `enableBBCode` enum('yes','no') not null default 'yes',
  `afolder` varchar(50) not null default '',
  `autoClose` int(5) not null default '0',
  `autoCloseMail` enum('yes','no') not null default 'yes',
  `smtp_host` varchar(100) not null default 'localhost',
  `smtp_user` varchar(100) not null default '',
  `smtp_pass` varchar(100) not null default '',
  `smtp_port` int(4) not null default '25',
  `smtp_security` varchar(10) not null default '',
  `smtp_debug` enum('yes','no') not null default 'no',
  `smtp_html` enum('yes','no') not null default 'yes',
  `prodKey` char(60) not null default '',
  `publicFooter` mediumtext default null,
  `adminFooter` mediumtext default null,
  `encoderVersion` varchar(5) not null default '',
  `softwareVersion` varchar(10) not null default '',
  `apiKey` varchar(100) not null default '',
  `apiLog` enum('yes','no') not null default 'no',
  `apiHandlers` varchar(100) not null default '',
  `sysstatus` enum('yes','no') not null default 'yes',
  `autoenable` date not null default '1970-01-01',
  `disputes` enum('yes','no') not null default 'no',
  `offlineReason` mediumtext default null,
  `createPref` enum('yes','no') not null default 'yes',
  `createAcc` enum('yes','no') not null default 'yes',
  `loginLimit` int(5) not null default '0',
  `banTime` int(5) not null default '0',
  `ticketHistory` enum('yes','no') not null default 'yes',
  `backupEmails` mediumtext default null,
  `closenotify` enum('yes','no') not null default 'no',
  `minPassValue` int(3) not null default '8',
  `accProfNotify` enum('yes','no') not null default 'yes',
  `newAccNotify` enum('yes','no') not null default 'yes',
  `enableLog` enum('yes','no') not null default 'yes',
  `defKeepLogs` varchar(100) not null default '',
  `minTickDigits` int(2) not null default '5',
  `enableMail` enum('yes','no') not null default 'yes',
  `imap_debug` enum('yes','no') not null default 'no',
  `imap_param` varchar(10) not null default '',
  `imap_memory` varchar(3) not null default '10',
  `imap_timeout` varchar(3) not null default '120',
  `imap_attach` enum('yes','no') not null default 'no',
  `imap_notify` enum('yes','no') not null default 'no',
  `disputeAdminStop` enum('yes','no') not null default 'no',
  `faqcounts` enum('yes','no') not null default 'no',
  `closeadmin` enum('yes','no') not null default 'no',
  `adminlock` enum('yes','no') not null default 'no',
  `locktime` int(7) not null default '0',
  `imap_clean` enum('yes','no') not null default 'yes',
  `tawk` mediumtext default null,
  `tawk_home` enum('yes','no') not null default 'no',
  `defdept` int(5) not null default '0',
  `defprty` varchar(50) not null default '',
  `rantick` enum('yes','no') not null default 'no',
  `imap_open` enum('yes','no') not null default 'no',
  `autospam` int(5) not null default '0',
  `wordwrap` varchar(200) not null default '',
  `timetrack` enum('yes','no') not null default 'yes',
  `selfsign` enum('yes','no') not null default 'no',
  `openlimit` enum('yes','no') not null default 'no',
  `mail` enum('smtp','mail') not null default 'smtp',
  `accautodel` int(5) not null default '0',
  `visclose` enum('yes','no') not null default 'no',
  `imapspamcloseacc` enum('yes','no') not null default 'no',
  `navmenu` mediumtext default null,
  `faqHistory` enum('yes','no') not null default 'no',
  `spam_score_header` varchar(100) not null default '',
  `spam_score_value` varchar(100) not null default '0',
  `en_cap` enum('yes','no') not null default 'no',
  `editor` enum('wys','bb') not null default 'wys',
  `tprefix` varchar(30) not null default '',
  `notify_close` enum('yes','no') not null default 'yes',
  `notify_open` enum('yes','no') not null default 'yes',
  `notify_other` enum('yes','no') not null default 'yes',
  `viscloseticket` enum('yes','no') not null default 'yes',
  primary key (`id`)
) {engine}