<?php if (!defined('PARENT')) { exit; }
include(PATH . 'control/navigation.php');
$unread = $MSMB->mswUnreadMailbox($MSTEAM->id);
?>
<!DOCTYPE html>
<html lang="<?php echo (isset($html_lang) ? $html_lang : 'en'); ?>" dir="<?php echo (isset($lang_dir) ? $lang_dir : 'ltr'); ?>">
	<head>
    <meta charset="<?php echo $msg_charset; ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta property="x-header-csrf" content="<?php echo $SSN->get('csrf_token'); ?>">
    
    <title><?php echo ($title ? $title.': ' : '').$msg_script.' - '.$msg_adheader.(LICENCE_VER!='unlocked' ? ' (Free Version)' : '').(defined('DEV_BETA') && DEV_BETA!='no' ? ' - BETA VERSION' : ''); ?></title>
    
    <link href="content/css/bootstrap.css" rel="stylesheet">
    <link href="content/css/theme.css" rel="stylesheet">
    <link href="content/css/font-awesome/font-awesome.css" rel="stylesheet">
    <link href="content/css/jquery-ui.css" rel="stylesheet">
    <link href="content/css/fam-icons.css" rel="stylesheet">
    <?php
    if (isset($loadGraph)) {
    ?>
    <link href="content/css/chartist.css" rel="stylesheet">
    <?php
    }
    if ($SETTINGS->editor == 'wys' && defined('WYSIWYG_ED')) {
    ?>
    <link rel="stylesheet" href="content/css/trumbowyg.css" type="text/css">
    <?php
    }
    ?>
    <link href="content/css/mobile.css" rel="stylesheet">
    <link href="content/css/plugins.css" rel="stylesheet">
    <link rel="icon" href="content/images/favicon.ico">
    <?php
    // For meta reloads, do NOT remove..
	  if (isset($metaReload)) {
	    echo $metaReload;
	  }
    if (defined('PRINT_MODE_ENABLED')) {
	  ?>
    <link href="content/css/print.css" rel="stylesheet">
    <?php
    }
    ?>
	</head>

	<body>

    <?php
    // MOBILE HEADER
    // Shows only on extra small screens
    ?>
    <div class="mobiletopbar visible-xs push">
      <div>
       <?php
       if (!empty($userAccess) || USER_ADMINISTRATOR == 'yes') {
       ?>
       <i class="fa fa-bars fa-fw menu-btn"></i>
       <?php
       }
       ?>
      </div>
      <div class="website">
        <a href="index.php"><?php echo $msg_adheader . (defined('DEV_BETA') && DEV_BETA != 'no' ? ' (BETA)' : ''); ?></a>
      </div>
      <div>
       <div class="btn-group">
          <button type="button" class="btn btn-sm btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fa fa-chevron-down fa-fw"></i>
          </button>
          <ul class="dropdown-menu dropdown-menu-right">
            <?php
            foreach ($msTopMenu AS $ntm) {
              if ($ntm['url'] == 'index.php?p=mailbox') {
              ?>
              <li><a href="<?php echo $ntm['url']; ?>"<?php echo ($ntm['ext'] == 'yes' ? ' onclick="window.open(this);return false"' : ''); ?>><i class="fa <?php echo $ntm['icon']; ?> fa-fw"<?php echo ($unread > 0 ? ' data-count="' . $unread . '" '  : ' '); ?>title="<?php echo $ntm['text']; ?>"></i> <?php echo $ntm['text']; ?></a></li>
              <?php
              } elseif ($ntm['url'] == 'index.php') {
              ?>
              <li><a href="<?php echo $ntm['url']; ?>"<?php echo ($ntm['ext'] == 'yes' ? ' onclick="window.open(this);return false"' : ''); ?>><i class="fa <?php echo $ntm['icon']; ?> fa-fw" title="<?php echo $ntm['text']; ?>"></i> <?php echo $ntm['text']; ?></a></li>
              <?php
              } else {
              ?>
              <li><a href="<?php echo $ntm['url']; ?>"<?php echo ($ntm['ext'] == 'yes' ? ' onclick="window.open(this);return false"' : ''); ?>><i class="fa <?php echo $ntm['icon']; ?> fa-fw" title="<?php echo $ntm['text']; ?>"></i> <?php echo $ntm['text']; ?></a></li>
              <?php
              }
            }
            ?>
          </ul>
        </div>
      </div>
    </div>
    
    <?php
    // STANDARD HEADER
    // Shows on larger screens
    ?>
    <div class="navbar push hidden-xs">
      <div class="navbar-inner">
        <div class="container">
          <div class="pull-right">
            <?php
            foreach ($msTopMenu AS $ntm) {
              if ($ntm['url'] == 'index.php?p=mailbox') {
              ?>
              <a href="<?php echo $ntm['url']; ?>"<?php echo ($ntm['ext'] == 'yes' ? ' onclick="window.open(this);return false"' : ''); ?>><i class="fa <?php echo $ntm['icon']; ?> fa-fw"<?php echo ($unread > 0 ? ' data-count="' . $unread . '" '  : ' '); ?>title="<?php echo $ntm['text']; ?>"></i> <?php echo $ntm['text']; ?></a>
              <?php
              } elseif ($ntm['url'] == 'index.php') {
              ?>
              <a href="<?php echo $ntm['url']; ?>"<?php echo ($ntm['ext'] == 'yes' ? ' onclick="window.open(this);return false"' : ''); ?>><i class="fa <?php echo $ntm['icon']; ?> fa-fw" title="<?php echo $ntm['text']; ?>"></i> <?php echo $ntm['text']; ?></a>
              <?php
              } else {
              ?>
              <a href="<?php echo $ntm['url']; ?>"<?php echo ($ntm['ext'] == 'yes' ? ' onclick="window.open(this);return false"' : ''); ?>><i class="fa <?php echo $ntm['icon']; ?> fa-fw" title="<?php echo $ntm['text']; ?>"></i> <?php echo $ntm['text']; ?></a>
              <?php
              }
            }
            ?>
          </div>
          <?php echo (!empty($userAccess) || USER_ADMINISTRATOR == 'yes' ? '<i class="fa fa-bars fa-fw menu-btn"></i> ' : ''); ?><span><a href="index.php"><?php echo $msg_adheader . (defined('DEV_BETA') && DEV_BETA != 'no' ? ' (BETA)' : ''); ?></a></span>
        </div>
      </div>
    </div>
