<?php

/* Admin - System Module
----------------------------------------------------------*/

if (!defined('PARENT') || USER_EDIT_R_PRIV == 'no') {
  $HEADERS->err403(true);
}

// Check digit..
mswVLDG($_GET['id'], true);
define('DROPZONE_LOADER', 1);

// Get reply..
$REPLY = mswSQL_table('replies', 'id', $_GET['id']);

// Checks..
if (!isset($REPLY->id)) {
  $HEADERS->err404(true);
}

// Get ticket data..
$SUPTICK = mswSQL_table('tickets', 'id', $REPLY->ticketID);

// Checks..
if (!isset($SUPTICK->id)) {
  $HEADERS->err403(true);
}

// Department check..
if (mswDeptPerms($SUPTICK->department, $userDeptAccess, array('assigned' => $SUPTICK->assignedto, 'team' => $MSTEAM->id)) == 'fail') {
  $HEADERS->err403(true);
}

if ($SETTINGS->editor == 'wys') {
  $mswWysCfg = array(
    'lang' => ($msWysiwyg_cfg[0] != 'en' && file_exists(PATH . 'content/js/plugins/i18n-wysiwyg/' . $msWysiwyg_cfg[0] . '.min.js') ? $msWysiwyg_cfg[0] : ''),
    'textarea' => 'textarea[name="comments"]'
  );
  define('WYSIWYG_ED', 'yes');
  $textareaFullScr = true;
} else {
  $textareaFullScr = true;
}

$title  = $msg_viewticket36;

include(PATH . 'content/header.php');
include(PATH . 'content/system/tickets/tickets-edit-reply.php');
include(PATH . 'content/footer.php');

?>