<?php

/* Admin - System Module
----------------------------------------------------------*/

if (!defined('PARENT') || (!in_array('add', $userAccess) && USER_ADMINISTRATOR == 'no') || USER_EDIT_T_PRIV == 'no') {
  $HEADERS->err403(true);
}

// Check digit..
mswVLDG($_GET['id'], true);
define('DROPZONE_LOADER', 1);

// Get ticket data..
$SUPTICK = mswSQL_table('tickets', 'id', $_GET['id']);

// Checks..
if (!isset($SUPTICK->id)) {
  $HEADERS->err404(true);
  exit;
}

// Department check..
if (mswDeptPerms($SUPTICK->department, $userDeptAccess, array('assigned' => $SUPTICK->assignedto, 'team' => $MSTEAM->id)) == 'fail') {
  $HEADERS->err403(true);
}

if ($SETTINGS->editor == 'wys') {
  $mswWysCfg = array(
    'lang' => ($msWysiwyg_cfg[0] != 'en' && file_exists(PATH . 'content/js/plugins/i18n-wysiwyg/' . $msWysiwyg_cfg[0] . '.min.js') ? $msWysiwyg_cfg[0] : ''),
    'textarea' => 'textarea[name="comments"]'
  );
  define('WYSIWYG_ED', 'yes');
  $textareaFullScr = true;
} else {
  $textareaFullScr = true;
}

$title = str_replace('{ticket}', mswTicketNumber($SUPTICK->id, $SETTINGS->minTickDigits, $SUPTICK->tickno), $msg_viewticket20);

include(PATH . 'content/header.php');
include(PATH . 'content/system/tickets/tickets-edit.php');
include(PATH . 'content/footer.php');

?>