<?php

if (defined('RIGHT_PANEL_LOAD')) {
  
  /* FAQ CATEGORIES
  ------------------------------------------------------------*/

  if ($this->CATEGORIES_MENU) {
  ?>
  <div class="panel panel-default">
    <div class="panel-heading">
      <i class="fa fa-folder-o fa-fw"></i> <?php echo $this->PB_LNG[2]; ?>
    </div>
    <div class="panel-body menulinkarea">
      <?php
      foreach ($this->CATEGORIES_MENU AS $cmnu) {
      ?>
      <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?c=<?php echo $cmnu['id']; ?>"><i class="fa fa-angle-right fa-fw"></i> <?php echo $cmnu['name']; ?></a><?php echo $cmnu['count']; ?></div>
      <?php
      }
      ?>
    </div>
  </div>
  <?php
  }
        
  /* FAQ PRIVATE CATEGORIES
  ------------------------------------------------------------*/

  if ($this->LOGGED_IN == 'yes' && $this->PRIVATE_CATEGORIES_MENU) {
  ?>
  <div class="panel panel-default">
    <div class="panel-heading">
      <i class="fa fa-folder fa-fw"></i> <?php echo $this->PB_LNG[0][1]; ?>
    </div>
    <div class="panel-body menulinkarea">
      <?php
      foreach ($this->PRIVATE_CATEGORIES_MENU AS $pcmnu) {
      ?>
      <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?c=<?php echo $pcmnu['id']; ?>"><i class="fa fa-angle-right fa-fw"></i> <?php echo $pcmnu['name']; ?></a><?php echo $pcmnu['count']; ?></div>
      <?php
      }
      ?>
    </div>
  </div>
  <?php
  }
        
  if (!empty($this->OTHER_PAGES_MENU)) {
  ?>
  <div class="panel panel-default">
    <div class="panel-heading">
      <i class="fa fa-file-text-o fa-fw"></i> <?php echo $this->PB_LNG[1]; ?>
    </div>
    <div class="panel-body menulinkarea">
      <?php
      foreach ($this->OTHER_PAGES_MENU AS $opg) {
      ?>
      <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?pg=<?php echo $opg['id']; ?>"><i class="fa fa-angle-right fa-fw"></i> <?php echo $opg['name']; ?></a></div>
      <?php
      }
      ?>
    </div>
  </div>
  <?php
  }
        
  /* CUSTOM PRIVATE PAGES
  -------------------------------------------------------------*/

  if ($this->LOGGED_IN == 'yes' && !empty($this->PRIVATE_PAGES_MENU)) {
  ?>
  <div class="panel panel-default">
    <div class="panel-heading">
      <i class="fa fa-file-text fa-fw"></i> <?php echo $this->PB_LNG[0][2]; ?>
    </div>
    <div class="panel-body menulinkarea">
      <?php
      foreach ($this->PRIVATE_PAGES_MENU AS $opg) {
      ?>
      <div><a href="<?php echo $this->SETTINGS->scriptpath; ?>/?pg=<?php echo $opg['id']; ?>"><i class="fa fa-angle-right fa-fw"></i> <?php echo $opg['name']; ?></a></div>
      <?php
      }
      ?>
    </div>
  </div>
  <?php
  }

}
?>