<?php

/* LANGUAGE FILE
   content/language/readme.md
--------------------------------------*/

$msadminlangpublic = [
  'Support',
  'Cancel',
  'Email addresses do not match, try again.',
  'Please enter your name',
  'Server functions not enabled to process Google Recpatcha. See docs or disable this function.',
  'Resend Confirmation Email',
  'Email could not be sent at this time, sorry for the inconvenience',
  'Featured Questions',
  'Information Pages',
  'Logged Out',
  'You have logged out of the system.<br><br>Please wait...'
];

$msadminlang3_1 = [
  'Please enter name and valid email address',
  'Email address exists on another account, check and try again.',
  'System Message',
  'A system error occurred, please try again.',
  'Manage Imap Accounts',
  'Imap functions not enabled on server, operation terminated',
  'There are currently no custom fields for the selected department',
  'Upload error ({error}). Please try again.',
  'There is no data to download',
  'Name,Email,IP,Timezone,Tickets,Disputes', // CSV
  'The BB code tags below may be used where applicable to help with code formatting.',
  'BB Code Formatting Help',
  'Please wait..',
  'Enable / Disable',
  'Clear Accounts with NO Tickets X Days Old',
  'Clear Ticket Attachments ONLY X Days Old',
  'Choose Action',
  'Please choose option and select action to perform',
  'Purge Report',
  'Reset Report',
  'Enter number of days',
  'To Add/Remove see',
  'Tickets - Flagged As Spam',
  'Please specify at least 1 user',
  '<b>Reset ALL Passwords</b> - If checked, auto generates a new password for any user where password field is left blank',
  'No accounts found for search criteria.',
  'Please select at least 1 ticket.',
  'Include Attachments in Notification Emails (For tickets opened via Imap)',
  'Send Account Creation Notification When First Ticket is Opened via Imap',
  'Custom Field',
  'Custom Field Keyword',
  'Quick View',
  'Enter Emails (Comma Delimit)',
  'Send'
];

$msadminlang3_1uploads = [
  '<span class="label label-success">1</span> Click in dotted area to select CSV file (<b>Max</b>: {max}).<br><br><span class="label label-success">2</span> Be patient while the server processes the file.<br><br><span class="label label-success">3</span> Click the import button to finish.',
  'Cancel Upload',
  'Reload and Select File',
  '<span class="label label-success"><i class="fa fa-info fa-fw"></i></span> Click in dotted area to select file(s):<br><br><i class="fa fa-angle-right"></i> <b>Max Files:</b> {files}<br><i class="fa fa-angle-right"></i> <b>Max Size</b>: {max} per file<br><i class="fa fa-angle-right"></i> <b>Allowed File Types</b>: <span class="filetypes">{types}</span>',
  'No Restriction',
  'Remove All &amp; Reset',
  '<span class="label label-success"><i class="fa fa-info fa-fw"></i></span> Click in dotted area to select file(s):<br><br><i class="fa fa-angle-right"></i> <b>Max Size</b>: {max} per file',
  '<span class="label label-success">1</span> Click in dotted area to select file(s) (<b>Max</b>: {max} per file).<br><br><span class="label label-success">2</span> Click the add button to finish.'
];

$msadminlang3_1backup = [
  '"<b>{path}</b>" folder must exist and be writeable. Please check directory and permissions.'
];

$msadminlang3_1dept = [
  'If Displaying, Display On The Following Days Only',
  'Options'
];

$msadminlang3_1cspages = [
  'Information Pages',
  'Add New Page',
  'Manage Pages',
  'Update Page',
  'Page Info',
  'Account',
  'Enable Page',
  'Display Only When Visitor Is Logged In',
  'Page Display Information',
  'Restrict to Accounts - Type Keyword to Locate Account',
  'Restricted to Account',
  'Secure: {yesno}, Account Restriction: {acc}',
  'All',
  'All Pages'
];

$msadminlang3_1createticket = [
  'Please select a department to load relevant fields (if applicable). If there are no additional fields, this tab will disappear.',
  'Please enter your name',
  'Please select valid department',
  'Please enter subject',
  'Please enter comments',
  'Please enter valid priority',
  '"{file}" is too big. Max size allowed: {max}',
  '"{file}" is not allowed. Allowed file types: {allowed}',
  'The following {count} required "Additional Fields" are invalid or blank',
  'Required'
];

$msadminlang3_1acc = [
  'Global Notes'
];

$msadminlang3_1adminaddticket = [
  'Please enter name, valid email, subject and comments'
];

$msadminlang3_1adminviewticket = [
  'Lock Ticket',
  'Close Ticket',
  'Edit Dispute',
  'Lock Dispute',
  'Close Dispute',
  'Open Ticket',
  'Open Dispute',
  'This ticket is awaiting assigned by support staff and no replies are allowed. If you have access to assignment, click <a href="?p=assign">here</a> to visit assign screen.',
  'In Dispute',
  'Search Accounts - Enter Keyword / Name / Email',
  'Nothing found for search, please try again.',
  'Or Enter New Account. Enter name, email comma delimited. One entry per add.',
  'Load Standard Response - Enter Keyword',
  'Or Save Current Comments as Standard Response - Enter Title',
  'Ticket Reply',
  'Please enter some comments',
  'Add New Reply &amp; Merge Ticket',
  'File Does Not Exist',
  'ID',
  'Merge Redirect, please wait..',
  'Redirecting to merged ticket...<br><br>Please wait..',
  'Manage Assigned Staff',
  'Assigned Staff',
  '<i class="fa fa-warning fa-fw"></i> Waiting Staff Assignment',
  'Add Reply to Locked Ticket'
];

$msadminlang3_1adminticketedit = [
  'There are no custom fields for ticket department',
  'Assigned Staff'
];

$msadminlang3_1faq = [
  'Featured Question',
  'Show Counts for Categories',
  'Private Category (Parent Only. Includes ALL Sub Categories)',
  'This category and all sub categories are private',
  'Enter keyword then click the arrow',
  'Articles',
  'All Categories',
  'This Category Only',
  'Article',
  'Viewing Article',
  '<i class="fa fa-warning fa-fw"></i> You appear to have already voted on this article.',
  'Total votes: ',
  'Search Results ({count})',
  'Search "{cat}" Only',
  'Full Path to Remote File (Starting http or https)',
  'Error. No attachments or remote links were added.',
  'File Information',
  'File Size (in Bytes)',
  'Mime Type'
];

$msadminlang3_1tickets = [
  'Please select at least 1 ticket and it`s allocated users'
];

$msgadminlang3_1staff = [
  'Can Edit Tickets',
  'Can Edit Ticket Replies'
];

$msgadminlang3_1mailbox = [
  'All Staff',
  'Status',
  'Move to',
  'Mark as Read',
  'Mark as Unread',
  'Please enter subject, message and select at least 1 staff member',
  'Please enter reply message'
];

$msg_header18 = 'Search by Custom Fields';

$emailSubjects['ticket-imap-reply'] = 'Re: [#{ticket}] {subject}';

$msg_ticket_history['new-ticket-visitor-imap'] = 'New ticket created from {visitor} via imap.';
$msg_ticket_history['vis-reply-add-imap'] = 'Reply ID {id} added by {visitor} via imap';

$msg_backup6 = 'Collation';
$msg_viewticket113 = 'Date,Time,Action,IP';

?>